#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :
import threadpool
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    def handle(self, *args, **options):
        from info_sync.models.account_models import EBayAccount
        from info_sync.views.listing_sync_info import ebay_listing_more_sync
        stores = EBayAccount.objects.filter(account_id__in=[57, 67, 82]).values('account_id', 'name', 'Token')
        # 43, 45, 53, 55 , 56,
        pool = threadpool.ThreadPool(5)
        requests = threadpool.makeRequests(ebay_listing_more_sync, stores)
        [pool.putRequest(req) for req in requests]
        pool.wait()
        # for store in stores:
        #     ebay_listing_more_sync(store)

        # from info_sync.models.account_models import EBayAccount
        # store = EBayAccount.objects.filter(account_id=56).values('account_id', 'name', 'Token').first()
        #
        # from info_sync.tasks import listing_more_info_sync_task
        # listing_more_info_sync_task.delay(['182618644689'], store)
