#!/usr/bin/env python
# -*- coding: utf-8 -*-


import logging
import os
import sys
import time

from EBayClub.settings import BASE_DIR

reload(sys)
sys.setdefaultencoding("utf-8")

# 写log用

time_now = time.strftime("%Y-%m-%d", time.localtime())
log_file_name = "ListingSync%s.log" % time_now

LOG_PATH = os.path.join(os.path.dirname(BASE_DIR), "log_ebay")
if not os.path.exists(LOG_PATH):
    os.makedirs(LOG_PATH)

logfile = os.path.join(LOG_PATH, log_file_name)


class Logger:
    def __init__(self, log_name, log_file):
        self._logger = logging.getLogger(log_name)
        formatter = logging.Formatter('%(asctime)s - %(levelname)s:  %(message)s')
        handler = logging.FileHandler(log_file)
        ch = logging.StreamHandler()  # 输出到控制台
        handler.setFormatter(formatter)
        ch.setFormatter(formatter)
        handler.setFormatter(formatter)
        self._logger.addHandler(handler)
        self._logger.addHandler(ch)
        self._logger.setLevel(logging.INFO)

    def log(self, msg):
        if self._logger is not None:
            self._logger.info(msg)


log1 = Logger("log1", logfile)


def logInfo(log_str):
    log1.log(log_str)
    return log_str


def logStatusBegin(info):
    log1.log('++++++++++++++  %s  ++++++++++++' % info)


def logStatusEnd(info):
    log1.log('++++++++++++++  %s  ++++++++++++\n' % info)


if __name__ == '__main__':
    logStatusBegin('dddd')
    logInfo('dddd')
    logStatusEnd('dddd')
