#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :


from django.core.management.base import BaseCommand


class Command(BaseCommand):
    def handle(self, *args, **options):
        from info_sync.models.account_models import EBayAccount
        from info_sync.views.listing_sync_info_hours import ebay_listing_sync_per_hour
        stores = EBayAccount.objects.all().values('account_id', 'name', 'Token')
        for store in stores:
            ebay_listing_sync_per_hour(store)
